Skip to Content
EIS
API Referencev1Actions Runtime

Execute a Runtime Action

POST
/v1/actions/runtime/executions

Execute an action returned by the runtime discovery endpoint against the supplied actionObject. For DSS trunks, preserve the complete object reference and its presetId context.

Request Body

application/json
  1. body
actionId*integer
Formatint64
Range1 <= value
actionObject*
parameters?|

Values requested by the selected action fields.

Response Body

Runtime action executed successfully.

application/json
  1. response
executionId*string
actionId*integer
Formatint64
label*string
status*string
data*

Public action outputs. Sensitive or one-time values may be included.

Example Request
curl -X POST 'https://api.eis.it/v1/actions/runtime/executions' \  -H 'Content-Type: application/json' \  -d '{  "actionId": 1,  "actionObject": {    "moduleId": 1,    "organizationId": 1,    "objectType": "string",    "objectId": "string",    "context": {      "property1": "string",      "property2": "string"    }  }}'
Example Response
{  "executionId": "string",  "actionId": 0,  "label": "string",  "status": "string",  "data": {}}